ProOne External APIs documents (α version)

Download OpenAPI specification:

はじめに

本APIはプロワンのサービス提供者向けの公開APIとなります。

現在はαバージョンのため、APIの内容は変更になる可能性があります。

対応しているリソースは左メニューの通りです。

利用開始までの流れ

Step 1. API利用規約を確認する

APIの利用を開始する前に、API利用規約をご確認ください。

Step 2. プロワンにログインする

Step 3. API Key を申請する

現在準備中です。新規発行および key の再発行については、お問い合わせください。

Step 4. API の動作確認をする

発行された API Key を利用して、APIをリクエストします。

API 共通情報

API エンドポイント

https://api-external.meetsone.com/api/external

利用規約

本APIを利用された場合、弊社の「API利用規約」のすべての内容に同意したものとみなされます。 ご利用前に必ずご確認ください。

認証

本APIでは X-Api-Key ヘッダーに API キーを付与して認証を行います。 認証に必要なAPIキーはお問い合わせ頂く必要があります。

クライアントは、APIリクエストを行うときに、Headerで以下の形式でAPIキーを付与して送信する必要があります。

X-Api-Key: <api-key>

漏洩リスク

APIキーは漏洩リスクが高いため、安全に保管するようにしてください。 Github, Bitbucket などのサードパーティーのホスティングサービスや、フロントエンドのコード内など、外部に公開される場所には絶対に置かないようにしてください。

バージョニング

本APIでは X-Api-Version ヘッダーを使用して、API のバージョンを指定する必要があります。

X-Api-Version: 2024-07-01

X-Api-Version ヘッダーのないリクエストは、最新のバージョンが使用されます。

サポートされる API バージョン

現在は次の API バージョンがサポートされています。

  • 2024-07-01 (latest)
  • 2024-04-01

利用制限

本APIには、安定したサービス提供のため、以下の利用制限があります。 これらの制限は外部APIにのみ適用されます。

項目 制限
リクエスト回数 APIキーごとに 100,000 リクエスト/日
リクエストレート APIキーごとに 100 リクエスト/秒
バースト APIキーごとに 100 リクエスト
タイムアウト 29秒
リクエストサイズ 10 MB 以下
利用可能時間帯 24時間利用可能。ただし、メンテナンス、障害、その他当社が必要と判断した場合を除きます。
データ形式 各APIの仕様に定める JSON 形式に従うものとします。

上記の利用制限を超過した場合、または本サービスの安定した運用に影響を及ぼすおそれがあると当社が判断した場合、リクエストの制限またはAPIの利用停止を行うことがあります。

短時間に多数のリクエストが行われた場合など、429 Too Many Requests 等のエラーが返却されることがあります。 429 Too Many Requests を受け取った場合は、一定時間を空けてからリトライしてください。

エラー

レスポンスコード

本 API は一般的な HTTP レスポンスコードを利用しています。

2xx の範囲の、ステータスコードは正常処理を表します。 4xx の範囲は、リクエストの Parameter などの入力に起因するエラーで、リクエストが受付られない状態を表します。 5xx の範囲は、サーバ内部で正常に処理が行われなかった状態を表します。

ステータスコード 説明
400 - Bad Request Parameter の不備などでリクエストを受け付けられない。
401 - Unauthorized 認証ができない。api-key が不正である。
403 - Forbidden 対象の API 実行が認可されていない。
404 - Not Found 指定したリソースが存在しない。
429 - Too Many Requests レートリミットを超えてリクエストされた。
500, 502, 503, 504 - Server Errros サーバ内で処理が正常に行われなかった。

レスポンスボディ

エラー発生時には、下記のようなエラーを返します。

Error

項目名 型 説明
statusCode string エラーコード文字列
message string エラーメッセージ

ページネーション

ページネーションパラメータ

本APIでは、pageパラメータ(1始まり)を指定することでページネーションすることができます。 また、perPageで1ページ当たりの件数を指定することができます。

ページネーションレスポンス

ページネーションのあるAPIエンドポイントでは以下の形式でデータが返却されます。

項目名 型 説明
data array 目的の Object のリスト。array 形式になっています。
total number 目的の Object の総数

変更履歴

2024-03-05

一覧APIのメソッドをGETからPOSTへ変更しました

複雑な検索条件に対応するためにメソッドを変更し、リクエストボディに検索条件を含めるようにしました。 それに伴いエンドポイントも変更しました。 変更があるAPIは以下の通りです。

- 変更前 変更後
1 GET /api/jobs POST /api/jobs/list
2 GET /api/estiamtes POST /api/estimates/list
3 GET /api/addresses POST /api/addresses/list
4 GET /api/clients POST /api/clients/list

API のドメインを変更しました

API のドメインを変更しました。新しいドメインは api-external.meetsone.com です。

※古いドメイン api.meetsone.com は引き続き利用可能ですが、将来的に廃止される予定です。

認証方法を変更しました

Authorization ヘッダーでの Bearer 認証を廃止し、X-Api-Key ヘッダーでの認証に変更しました。

(しばらくの間は両方の認証方法を受け付けますが、X-Api-Key への移行をお願いします)

仕事

仕事詳細を取得

仕事詳細データを取得するためのAPIです。

Authorizations:
api_key
path Parameters
id
required
string
Example: clhhayfgu0003015kcsx0hvid

仕事ID

header Parameters
x-api-key
required
string
x-api-version
string

Responses

Response Schema: application/json
required
object

仕事詳細情報

id
required
string

仕事ID

externalId
string or null

外部ID

slug
required
string

管理番号

title
required
string

仕事名

cancelledAt
string or null <date-time>

仕事失注日

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
createdAt
required
string <date-time>

仕事作成日

finishedAt
string or null <date-time>

仕事終了日

expectedOrderAmount
string or nulld+(.d+)?

受注予定金額

expectedOrderDate
string or null <date-time>

受注予定日

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

受注状況

  • 依頼受領 request
  • 見積作成中 before estimating
  • 見積発行済み estimating
  • 完了 ordered
  • 失注 cancelled
jobStatus
required
string
Enum: "completed" "no appointment" "appointment completed" "progress"

仕事状況

  • 日程未定 no appointment
  • 進行中 progress
  • 日程完了 appointment completed
  • 完了 completed
invoiceStatus
required
string
Enum: "cancelled" "partiallyPaid" "paid" "requested" "issued" "waiting"

請求状況

  • 請求前 waiting
  • 請求中 issued
  • 入金済み paid
purchaseOrderStatus
required
string
Enum: "issued" "delivered" "waiting" "ordering"

発注状況

  • 発行済み issued
  • 発注中 ordering
  • 納品済み delivered
  • 未発行 waiting
purchaseOrderPaymentStatus
required
string
Enum: "notReceived" "received" "partiallyPaid" "paid" "waiting"

発注支払状況

  • 請求受領 received
  • 一部支払 partiallyPaid
  • 支払済み paid
  • 請求未受領 waiting
documentStatus
required
string
Enum: "issued" "waiting"

書類状況

  • 発行済み issued
  • 発行前 waiting
isAssignedToMe
required
boolean

仕事担当者または訪問担当者に対象のユーザーIDが含まれているかどうかを示すフラグ

updatedAt
required
string <date-time>

仕事の最終更新日

dataUpdatedAt
required
string <date-time>

仕事に関連する情報の最終更新日 = 最新ログの作成日

required
object

顧客情報

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

useClientAddressForBilling
required
boolean

顧客の住所を請求先住所として使用するかどうかのフラグ

object or null

請求先情報

id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

required
object

顧客情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

clientId
required
string

顧客ID

required
Array of objects (ExternalEstimateSimple)

見積書情報の配列

Array
id
required
string

見積書ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

見積書タイトル

slug
required
string

見積書番号

effectiveDuration
required
string

有効期限

issuedAt
string or null <date-time>

見積書発行日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

isArchive
required
boolean

アーカイブフラグ

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

発行状態

  • 作成前 request
  • 作成中 before estimating
  • 発行済み estimating
  • 受注 ordered
  • 失注 cancelled
approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"
required
Array of objects (ExternalInvoiceSimple)

請求書情報の配列

Array
id
required
string

請求書ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

請求書タイトル

slug
required
string

管理番号

dueAt
string or null <date-time>

支払い期限日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

issuedAt
string or null <date-time>

請求書発行日

billedAt
string or null <date-time>

請求日

requestedAt
string or null <date-time>

ステータスが請求中に更新された日時

paidAt
string or null <date-time>

入金日

partiallyPaidAt
string or null <date-time>

一部入金日

isArchive
required
boolean

アーカイブ済みかどうか

approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"

承認ステータス

estimateId
string or null

紐づいている見積書ID

required
Array of objects (ExternalExpectedCostSimple)

実行予算情報の配列

Array
id
required
string

実行予算ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

実行予算タイトル

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
slug
required
string

管理番号

note
string or null

備考

total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

issuedAt
string or null <date-time>

発行日

deletedAt
string or null <date-time>

削除日

required
Array of objects (AppointmentForExternalJob)

仕事日程情報の配列

Array
id
required
string

仕事日程ID

slug
required
string

管理番号

title
string or null

仕事日程タイトル

startTime
required
string <date-time>

仕事日程開始日時

endTime
required
string <date-time>

仕事日程終了日時

finishedAt
string or null <date-time>

仕事日程完了日

dispatchedAt
string or null <date-time>

出発日時

arrivedAt
string or null <date-time>

到着日時

acceptedAt
string or null <date-time>

検収日

allDay
required
boolean

終日フラグ trueの場合は終日の仕事とみなす

isFixed
required
boolean

仕事日程が確定しているかどうかのフラグ trueの場合は仕事日程が確定している

isStartDateFixed
required
boolean

仕事日程の開始日付が確定しているかどうかのフラグ trueの場合は仕事日程の開始日時が確定している

duration
number or null

所要時間

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object or null

到着時間帯情報

id
required
string

到着時間帯ID

name
required
string

到着時間帯名

startTime
required
string <date-time>

開始時間(時間のみ利用)

endTime
required
string <date-time>

終了時間(時間のみ利用)

required
Array of objects (AssignmentForExternalJob)

訪問担当者情報

Array
required
object

ユーザー情報

id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

required
Array of objects (JobTagForExternalJob)

仕事タグ情報の配列

Array
id
required
string

仕事タグID

name
required
string

仕事タグ名

shortcode
string or null

短縮形

color
required
string

仕事タグの色

isArchive
required
boolean

アーカイブフラグ trueの場合アーカイブ済み

object or null

仕事タイプ情報

id
required
string

仕事タイプID

name
required
string

仕事タイプ名

durationMinutes
required
number

所要時間

memo
string or null

メモ

isActive
required
boolean

有効フラグ trueの場合有効

color
required
string

仕事タイプの色 カラーコードを指定する

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

required
Array of objects (DivisionForExternalJob)

部署一覧情報の配列

Array
id
required
string

部署ID

name
required
string

部署名

object or null

集客元情報

id
required
string

集客元ID

name
required
string

集客元名

required
Array of objects (UserForExternalJob)

仕事担当者情報の配列

Array
id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

object or null

収支情報

required
object

収支サマリー

expense
required
number

経費

netSales
required
number

最終利益

totalProfitRatio
required
number

最終利益率

costPrice
required
number

原価

sales
required
number

売上

grossProfit
required
number

粗利

profitRatio
required
number

粗利率

memo
string or null

メモ

object or null

支払い方法

id
required
string

支払い方法ID

name
required
string

支払い方法名

object or null

フェーズ情報

id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

object or null

パイプライン情報

id
required
string

パイプラインID

name
required
string

パイプライン名

required
Array of objects (PhaseForExternalJob)

フェーズ情報の配列

Array
id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

failureReason
string or null

備考

Array of objects (OrderFailureReasonForExternalJob)

失注理由

Array
apiName
string or null

API参照名

reason
string or null

失注理由

Response samples

Content type
application/json
{
  • "data": {
    }
}

仕事一覧を取得

テナントの仕事一覧を取得するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
perPage
number or null
Default: 10

1ページあたりの件数(最大50)

page
number or null
Default: 1

ページ番号

phaseId
string or null

フェーズID

pipelineId
string or null

パイプラインID

clientId
string or null

顧客ID

addressId
string or null

現場ID

equipmentId
string or null

機器ID

userIds
Array of strings

訪問担当者のユーザーID

personInChargeUserIds
Array of strings

仕事担当者のユーザーID

divisionIds
Array of strings

担当部署ID

jobIds
Array of strings

仕事ID

jobTypeIds
Array of strings

仕事タイプID

jobTagIds
Array of strings

仕事タグID

jobTitle
string or null

仕事名

orderStatuses
Array of strings or null
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

受注状況

  • 依頼受領 request
  • 見積作成中 before estimating
  • 見積発行済み estimating
  • 完了 ordered
  • 失注 cancelled
jobStatuses
Array of strings or null
Enum: "completed" "no appointment" "appointment completed" "progress"

仕事状況

  • 日程未定 no appointment
  • 進行中 progress
  • 日程完了 appointment completed
  • 完了 completed
invoiceStatuses
Array of strings or null
Enum: "cancelled" "partiallyPaid" "paid" "requested" "issued" "waiting"

請求状況

  • 請求前 waiting
  • 請求中 issued
  • 入金済み paid
jobLeadSourceIds
Array of strings

仕事の集客元ID

clientLeadSourceIds
Array of strings

顧客の集客元ID

object

更新日の範囲

start
string or null <date-time>

作成日の範囲開始日時

end
string or null <date-time>

作成日の範囲終了日時

object

更新日の範囲

start
string or null <date-time>

更新日の範囲開始日時

end
string or null <date-time>

更新日の範囲終了日時

object

更新日の範囲

start
string or null <date-time>

更新日の範囲開始日時

end
string or null <date-time>

更新日の範囲終了日時

object

仕事日の範囲

start
string or null <date-time>

仕事日の範囲開始日時

end
string or null <date-time>

仕事日の範囲終了日時

object

見積書発行日の範囲

start
string or null <date-time>

見積書発行日の範囲開始日時

end
string or null <date-time>

見積書発行日の範囲終了日時

object

請求書発行日の範囲

start
string or null <date-time>

請求書発行日の範囲開始日時

end
string or null <date-time>

請求書発行日の範囲終了日時

object

発注書発行日の範囲

start
string or null <date-time>

発注書発行日の範囲開始日時

end
string or null <date-time>

発注書発行日の範囲終了日時

query
string or null

自由文字列の検索ワード

hasExpectedCosts
boolean or null

実行予算を持っているフラグ 持つ場合はtrue

isProgressInvoiceEstimate
boolean or null

出来高請求書を持っているフラグ 持つ場合はtrue

Array of objects (ExternalSearchConditionFilterForPhase)

フェーズ情報の配列

Array
start
string or null <date-time>

フェーズの範囲開始日時

end
string or null <date-time>

フェーズの範囲終了日時

phaseId
string or null

フェーズID

pipelineId
string or null

パイプラインID

Responses

Response Schema: application/json
total
required
number

トータル件数

required
Array of objects (ExternalJob)

仕事情報の配列

Array
id
required
string

仕事ID

externalId
string or null

外部ID

slug
required
string

管理番号

title
required
string

仕事名

cancelledAt
string or null <date-time>

仕事失注日

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
createdAt
required
string <date-time>

仕事作成日

finishedAt
string or null <date-time>

仕事終了日

expectedOrderAmount
string or nulld+(.d+)?

受注予定金額

expectedOrderDate
string or null <date-time>

受注予定日

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

受注状況

  • 依頼受領 request
  • 見積作成中 before estimating
  • 見積発行済み estimating
  • 完了 ordered
  • 失注 cancelled
jobStatus
required
string
Enum: "completed" "no appointment" "appointment completed" "progress"

仕事状況

  • 日程未定 no appointment
  • 進行中 progress
  • 日程完了 appointment completed
  • 完了 completed
invoiceStatus
required
string
Enum: "cancelled" "partiallyPaid" "paid" "requested" "issued" "waiting"

請求状況

  • 請求前 waiting
  • 請求中 issued
  • 入金済み paid
purchaseOrderStatus
required
string
Enum: "issued" "delivered" "waiting" "ordering"

発注状況

  • 発行済み issued
  • 発注中 ordering
  • 納品済み delivered
  • 未発行 waiting
purchaseOrderPaymentStatus
required
string
Enum: "notReceived" "received" "partiallyPaid" "paid" "waiting"

発注支払状況

  • 請求受領 received
  • 一部支払 partiallyPaid
  • 支払済み paid
  • 請求未受領 waiting
documentStatus
required
string
Enum: "issued" "waiting"

書類状況

  • 発行済み issued
  • 発行前 waiting
isAssignedToMe
required
boolean

仕事担当者または訪問担当者に対象のユーザーIDが含まれているかどうかを示すフラグ

updatedAt
required
string <date-time>

仕事の最終更新日

dataUpdatedAt
required
string <date-time>

仕事に関連する情報の最終更新日 = 最新ログの作成日

required
object

顧客情報

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

useClientAddressForBilling
required
boolean

顧客の住所を請求先住所として使用するかどうかのフラグ

object or null

請求先情報

id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

required
object

顧客情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

clientId
required
string

顧客ID

required
Array of objects (ExternalEstimateSimple)

見積書情報の配列

Array
id
required
string

見積書ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

見積書タイトル

slug
required
string

見積書番号

effectiveDuration
required
string

有効期限

issuedAt
string or null <date-time>

見積書発行日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

isArchive
required
boolean

アーカイブフラグ

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

発行状態

  • 作成前 request
  • 作成中 before estimating
  • 発行済み estimating
  • 受注 ordered
  • 失注 cancelled
approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"
required
Array of objects (ExternalInvoiceSimple)

請求書情報の配列

Array
id
required
string

請求書ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

請求書タイトル

slug
required
string

管理番号

dueAt
string or null <date-time>

支払い期限日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

issuedAt
string or null <date-time>

請求書発行日

billedAt
string or null <date-time>

請求日

requestedAt
string or null <date-time>

ステータスが請求中に更新された日時

paidAt
string or null <date-time>

入金日

partiallyPaidAt
string or null <date-time>

一部入金日

isArchive
required
boolean

アーカイブ済みかどうか

approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"

承認ステータス

estimateId
string or null

紐づいている見積書ID

required
Array of objects (ExternalExpectedCostSimple)

実行予算情報の配列

Array
id
required
string

実行予算ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

実行予算タイトル

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
slug
required
string

管理番号

note
string or null

備考

total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

issuedAt
string or null <date-time>

発行日

deletedAt
string or null <date-time>

削除日

required
Array of objects (AppointmentForExternalJob)

仕事日程情報の配列

Array
id
required
string

仕事日程ID

slug
required
string

管理番号

title
string or null

仕事日程タイトル

startTime
required
string <date-time>

仕事日程開始日時

endTime
required
string <date-time>

仕事日程終了日時

finishedAt
string or null <date-time>

仕事日程完了日

dispatchedAt
string or null <date-time>

出発日時

arrivedAt
string or null <date-time>

到着日時

acceptedAt
string or null <date-time>

検収日

allDay
required
boolean

終日フラグ trueの場合は終日の仕事とみなす

isFixed
required
boolean

仕事日程が確定しているかどうかのフラグ trueの場合は仕事日程が確定している

isStartDateFixed
required
boolean

仕事日程の開始日付が確定しているかどうかのフラグ trueの場合は仕事日程の開始日時が確定している

duration
number or null

所要時間

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object or null

到着時間帯情報

id
required
string

到着時間帯ID

name
required
string

到着時間帯名

startTime
required
string <date-time>

開始時間(時間のみ利用)

endTime
required
string <date-time>

終了時間(時間のみ利用)

required
Array of objects (AssignmentForExternalJob)

訪問担当者情報

Array
required
object

ユーザー情報

id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

required
Array of objects (JobTagForExternalJob)

仕事タグ情報の配列

Array
id
required
string

仕事タグID

name
required
string

仕事タグ名

shortcode
string or null

短縮形

color
required
string

仕事タグの色

isArchive
required
boolean

アーカイブフラグ trueの場合アーカイブ済み

object or null

仕事タイプ情報

id
required
string

仕事タイプID

name
required
string

仕事タイプ名

durationMinutes
required
number

所要時間

memo
string or null

メモ

isActive
required
boolean

有効フラグ trueの場合有効

color
required
string

仕事タイプの色 カラーコードを指定する

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

required
Array of objects (DivisionForExternalJob)

部署一覧情報の配列

Array
id
required
string

部署ID

name
required
string

部署名

object or null

集客元情報

id
required
string

集客元ID

name
required
string

集客元名

required
Array of objects (UserForExternalJob)

仕事担当者情報の配列

Array
id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

object or null

収支情報

required
object

収支サマリー

expense
required
number

経費

netSales
required
number

最終利益

totalProfitRatio
required
number

最終利益率

costPrice
required
number

原価

sales
required
number

売上

grossProfit
required
number

粗利

profitRatio
required
number

粗利率

memo
string or null

メモ

object or null

支払い方法

id
required
string

支払い方法ID

name
required
string

支払い方法名

object or null

フェーズ情報

id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

object or null

パイプライン情報

id
required
string

パイプラインID

name
required
string

パイプライン名

required
Array of objects (PhaseForExternalJob)

フェーズ情報の配列

Array
id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

failureReason
string or null

備考

Array of objects (OrderFailureReasonForExternalJob)

失注理由

Array
apiName
string or null

API参照名

reason
string or null

失注理由

Request samples

Content type
application/json
{
  • "perPage": 50,
  • "page": 1,
  • "phaseId": "string",
  • "pipelineId": "string",
  • "clientId": "string",
  • "addressId": "string",
  • "equipmentId": "string",
  • "userIds": [
    ],
  • "personInChargeUserIds": [
    ],
  • "divisionIds": [
    ],
  • "jobIds": [
    ],
  • "jobTypeIds": [
    ],
  • "jobTagIds": [
    ],
  • "jobTitle": "エアコンクリーニング",
  • "orderStatuses": [
    ],
  • "jobStatuses": [
    ],
  • "invoiceStatuses": [
    ],
  • "jobLeadSourceIds": [
    ],
  • "clientLeadSourceIds": [
    ],
  • "createdAt": {
    },
  • "updatedAt": {
    },
  • "dataUpdatedAt": {
    },
  • "jobDate": {
    },
  • "estimateIssuedAt": {
    },
  • "invoiceIssuedAt": {
    },
  • "purchaseOrderIssuedAt": {
    },
  • "query": "エアコンクリーニング",
  • "hasExpectedCosts": true,
  • "isProgressInvoiceEstimate": true,
  • "phases": [
    ]
}

Response samples

Content type
application/json
{
  • "total": 1,
  • "data": [
    ]
}

仕事を作成または更新

仕事を作成または更新するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

仕事ID

externalId
string or null

外部ID

object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

現場情報

externalId
string or null

外部ID

id
string or null

現場ID

object

顧客情報

externalId
string or null

外部ID

id
string or null

客先担当者ID

object

顧客情報

externalId
string or null

外部ID

id
string or null

顧客ID

title
string or null

仕事名

titleFormat
string or null

仕事タイトルのテンプレート文字列

memo
string or null <= 10000 characters

メモ

memoMode
string (MemoMode)
Enum: "append" "overwrite"

メモモード overwrite: 既存メモを上書き(追記せず新しいメモで置換) 指定なし(デフォルト): append(従来通り追記) @default append

Array of objects (JobTagsForExternalUpsertJob)

仕事タグ情報の配列

Array
externalId
string or null

外部ID

id
string or null

仕事タグID

object

仕事タイプ情報

externalId
string or null

外部ID

id
string or null

仕事タイプID

object or null

支払い方法

externalId
string or null

外部ID

id
string or null

支払い方法ID

Array of objects (AppointmentForExternalUpsertJob)

仕事日程情報の配列

Array
id
string or null

仕事日程ID

externalId
string or null

外部ID

startTime
required
string <date-time>

仕事日程開始日時

endTime
required
string <date-time>

仕事日程終了日時

acceptedAt
string or null <date-time>

検収日

object or null

到着時間帯情報

externalId
string or null

外部ID

id
string or null

到着時間帯ID

Array of objects (AssignmentForExternalUpsertJob)

訪問担当者情報

Array
externalId
string or null

外部ID

id
string or null

訪問担当者ID

title
string or null

仕事日程タイトル

allDay
required
boolean

終日フラグ trueの場合は終日の仕事とみなす

isFixed
required
boolean

仕事日程が確定しているかどうかのフラグ trueの場合は仕事日程が確定している

isStartDateFixed
required
boolean

仕事日程の開始日付が確定しているかどうかのフラグ trueの場合は仕事日程の開始日時が確定している

object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
Array of objects (DivisionForExternalUpsertJob)

部署一覧情報の配列

Array
externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (PersonInChargeForExternalUpsertJob)

仕事担当者情報の配列

Array
externalId
string or null

外部ID

id
string or null

ユーザーID

object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object or null

集客元情報

externalId
string or null

外部ID

id
string or null

集客元ID

object

フェーズ情報

id
string or null

フェーズID

estimateId
string or null

見積書ID

appointmentIds
Array of strings

仕事日程ID

object

請求書情報

title
string or null

請求書タイトル

unitPrice
string or nulld+(.d+)?

単価

object

仕事失注

selectedLostOrderReasonIds
required
Array of strings

仕事失注理由選択

failureReason
string or null

備考

createdAt
string or null <date-time>

作成日

Responses

Response Schema: application/json
required
object

仕事詳細情報

id
required
string

仕事ID

externalId
string or null

外部ID

slug
required
string

管理番号

title
required
string

仕事名

cancelledAt
string or null <date-time>

仕事失注日

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
createdAt
required
string <date-time>

仕事作成日

finishedAt
string or null <date-time>

仕事終了日

expectedOrderAmount
string or nulld+(.d+)?

受注予定金額

expectedOrderDate
string or null <date-time>

受注予定日

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

受注状況

  • 依頼受領 request
  • 見積作成中 before estimating
  • 見積発行済み estimating
  • 完了 ordered
  • 失注 cancelled
jobStatus
required
string
Enum: "completed" "no appointment" "appointment completed" "progress"

仕事状況

  • 日程未定 no appointment
  • 進行中 progress
  • 日程完了 appointment completed
  • 完了 completed
invoiceStatus
required
string
Enum: "cancelled" "partiallyPaid" "paid" "requested" "issued" "waiting"

請求状況

  • 請求前 waiting
  • 請求中 issued
  • 入金済み paid
purchaseOrderStatus
required
string
Enum: "issued" "delivered" "waiting" "ordering"

発注状況

  • 発行済み issued
  • 発注中 ordering
  • 納品済み delivered
  • 未発行 waiting
purchaseOrderPaymentStatus
required
string
Enum: "notReceived" "received" "partiallyPaid" "paid" "waiting"

発注支払状況

  • 請求受領 received
  • 一部支払 partiallyPaid
  • 支払済み paid
  • 請求未受領 waiting
documentStatus
required
string
Enum: "issued" "waiting"

書類状況

  • 発行済み issued
  • 発行前 waiting
isAssignedToMe
required
boolean

仕事担当者または訪問担当者に対象のユーザーIDが含まれているかどうかを示すフラグ

updatedAt
required
string <date-time>

仕事の最終更新日

dataUpdatedAt
required
string <date-time>

仕事に関連する情報の最終更新日 = 最新ログの作成日

required
object

顧客情報

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

useClientAddressForBilling
required
boolean

顧客の住所を請求先住所として使用するかどうかのフラグ

object or null

請求先情報

id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

required
object

顧客情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

clientId
required
string

顧客ID

required
Array of objects (ExternalEstimateSimple)

見積書情報の配列

Array
id
required
string

見積書ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

見積書タイトル

slug
required
string

見積書番号

effectiveDuration
required
string

有効期限

issuedAt
string or null <date-time>

見積書発行日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

isArchive
required
boolean

アーカイブフラグ

orderStatus
required
string
Enum: "cancelled" "ordered" "estimating" "before estimating" "request"

発行状態

  • 作成前 request
  • 作成中 before estimating
  • 発行済み estimating
  • 受注 ordered
  • 失注 cancelled
approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"
required
Array of objects (ExternalInvoiceSimple)

請求書情報の配列

Array
id
required
string

請求書ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

請求書タイトル

slug
required
string

管理番号

dueAt
string or null <date-time>

支払い期限日

note
string or null

備考

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitCostRoundingDigit
required
number

原価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitCostRoundingType
required
string
Enum: "Down" "Up" "Off"

原価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

cost
required
stringd+(.d+)?

原価合計金額

issuedAt
string or null <date-time>

請求書発行日

billedAt
string or null <date-time>

請求日

requestedAt
string or null <date-time>

ステータスが請求中に更新された日時

paidAt
string or null <date-time>

入金日

partiallyPaidAt
string or null <date-time>

一部入金日

isArchive
required
boolean

アーカイブ済みかどうか

approvalStatus
string or null
Enum: "InProgress" "Approved" "SentBack" "Rejected" "Deleted" "Draft" "DeletedAfterApproved"

承認ステータス

estimateId
string or null

紐づいている見積書ID

required
Array of objects (ExternalExpectedCostSimple)

実行予算情報の配列

Array
id
required
string

実行予算ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

実行予算タイトル

taxType
string or null
Enum: "TaxIncluded" "TaxExcluded" "TaxExempted"

消費税

  • 税込 TaxIncluded
  • 税抜 TaxExcluded
  • 税込(免税) TaxExempted
unitPriceRoundingDigit
required
number

単価の端数を処理する桁数

  • 小数点第2位: 2
  • 小数点第1位: 1
  • 整数: 0
unitPriceRoundingType
required
string
Enum: "Down" "Up" "Off"

単価の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
subTotalRoundingType
required
string
Enum: "Down" "Up" "Off"

小計の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
taxRoundingType
required
string
Enum: "Down" "Up" "Off"

消費税の端数処理方法

  • 切り捨て: Down
  • 切り上げ: Up
  • 四捨五入: Off
slug
required
string

管理番号

note
string or null

備考

total
required
stringd+(.d+)?

税込合計金額

subTotal
required
stringd+(.d+)?

税抜合計金額

salesTax
required
stringd+(.d+)?

消費税額

issuedAt
string or null <date-time>

発行日

deletedAt
string or null <date-time>

削除日

required
Array of objects (AppointmentForExternalJob)

仕事日程情報の配列

Array
id
required
string

仕事日程ID

slug
required
string

管理番号

title
string or null

仕事日程タイトル

startTime
required
string <date-time>

仕事日程開始日時

endTime
required
string <date-time>

仕事日程終了日時

finishedAt
string or null <date-time>

仕事日程完了日

dispatchedAt
string or null <date-time>

出発日時

arrivedAt
string or null <date-time>

到着日時

acceptedAt
string or null <date-time>

検収日

allDay
required
boolean

終日フラグ trueの場合は終日の仕事とみなす

isFixed
required
boolean

仕事日程が確定しているかどうかのフラグ trueの場合は仕事日程が確定している

isStartDateFixed
required
boolean

仕事日程の開始日付が確定しているかどうかのフラグ trueの場合は仕事日程の開始日時が確定している

duration
number or null

所要時間

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object or null

到着時間帯情報

id
required
string

到着時間帯ID

name
required
string

到着時間帯名

startTime
required
string <date-time>

開始時間(時間のみ利用)

endTime
required
string <date-time>

終了時間(時間のみ利用)

required
Array of objects (AssignmentForExternalJob)

訪問担当者情報

Array
required
object

ユーザー情報

id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

required
Array of objects (JobTagForExternalJob)

仕事タグ情報の配列

Array
id
required
string

仕事タグID

name
required
string

仕事タグ名

shortcode
string or null

短縮形

color
required
string

仕事タグの色

isArchive
required
boolean

アーカイブフラグ trueの場合アーカイブ済み

object or null

仕事タイプ情報

id
required
string

仕事タイプID

name
required
string

仕事タイプ名

durationMinutes
required
number

所要時間

memo
string or null

メモ

isActive
required
boolean

有効フラグ trueの場合有効

color
required
string

仕事タイプの色 カラーコードを指定する

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

required
Array of objects (DivisionForExternalJob)

部署一覧情報の配列

Array
id
required
string

部署ID

name
required
string

部署名

object or null

集客元情報

id
required
string

集客元ID

name
required
string

集客元名

required
Array of objects (UserForExternalJob)

仕事担当者情報の配列

Array
id
required
string

ユーザーID

lastname
required
string

姓

firstname
string or null

名

image
string or null

ユーザーのアイコン画像のURL

externalId
string or null

外部ID

object or null

収支情報

required
object

収支サマリー

expense
required
number

経費

netSales
required
number

最終利益

totalProfitRatio
required
number

最終利益率

costPrice
required
number

原価

sales
required
number

売上

grossProfit
required
number

粗利

profitRatio
required
number

粗利率

memo
string or null

メモ

object or null

支払い方法

id
required
string

支払い方法ID

name
required
string

支払い方法名

object or null

フェーズ情報

id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

object or null

パイプライン情報

id
required
string

パイプラインID

name
required
string

パイプライン名

required
Array of objects (PhaseForExternalJob)

フェーズ情報の配列

Array
id
required
string

フェーズID

name
required
string

フェーズ名

type
required
string
Enum: "Inquiry" "Ordered" "Done"

フェーズタイプ

  • 営業中 Inquiry
  • 実施前 Ordered
  • 実施後 Done
sortNum
required
number

並び順

orderProbability
number or null

受注確度 パーセンテージで表す

failureReason
string or null

備考

Array of objects (OrderFailureReasonForExternalJob)

失注理由

Array
apiName
string or null

API参照名

reason
string or null

失注理由

Request samples

Content type
application/json
{
  • "id": "clhhayfgu0003015kcsx0hvid",
  • "externalId": "string",
  • "company": {
    },
  • "address": {
    },
  • "contact": {
    },
  • "client": {
    },
  • "title": "TESTInc.様/エアコンクリーニング",
  • "titleFormat": "[{{slug}}] {{clientName}}様",
  • "memo": "特になし",
  • "memoMode": "append",
  • "jobTags": [
    ],
  • "jobType": {
    },
  • "paymentMethod": {
    },
  • "appointments": [
    ],
  • "divisions": [
    ],
  • "personInChargeUsers": [
    ],
  • "customFields": {
    },
  • "leadSource": {
    },
  • "phase": {
    },
  • "createdAt": "2019-08-24T14:15:22Z"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客

顧客の詳細を取得

顧客の詳細データを取得するためのAPIです。

Authorizations:
api_key
path Parameters
id
required
string

顧客ID

header Parameters
x-api-key
required
string
x-api-version
string

Responses

Response Schema: application/json
required
object

顧客の詳細情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

required
object

個人情報/客先担当者

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null
id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客一覧を取得

顧客一覧を取得するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
perPage
number or null
Default: 10

1ページあたりの件数(最大50)

page
number or null
Default: 1

ページ番号

ids
Array of strings

顧客IDの配列(完全一致)

externalIds
Array of strings

外部IDの配列(完全一致)

isCompany
boolean or null

法人フラグによるフィルタ

isArchive
boolean or null

アーカイブフラグによるフィルタ

Array of objects (IdOrExternalIdReferenceDto)

部署の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

object

作成日の範囲フィルタ

start
string or null <date-time>

作成日の範囲開始日時

end
string or null <date-time>

作成日の範囲終了日時

object

更新日の範囲フィルタ

start
string or null <date-time>

更新日の範囲開始日時

end
string or null <date-time>

更新日の範囲終了日時

Responses

Response Schema: application/json
total
required
number

トータル件数

required
Array of objects (ClientForExternalFindAllResponse)

顧客情報の配列

Array
id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

会社名

phone
string or null

代表電話番号

email
string or null

代表メールアドレス

isCompany
required
boolean

顧客区分(true: 法人, false: 個人)

isArchive
required
boolean

アーカイブフラグ

customFields
object

カスタム項目

divisionId
string or null

顧客担当部署ID

required
Array of objects (AddressSummaryForFindAll)

現場

Array
id
required
string

現場ID

externalId
string or null

外部ID

required
Array of objects (ContactSummaryForFindAll)

客先担当者

Array
id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(カナ)

firstnameKana
string or null

名(カナ)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null

請求先情報

id
required
string

請求先ID

name
string or null

請求先名

compellation
string or null

敬称

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

Request samples

Content type
application/json
{
  • "perPage": 50,
  • "page": 1,
  • "ids": [
    ],
  • "externalIds": [
    ],
  • "isCompany": true,
  • "isArchive": false,
  • "division": [
    ],
  • "createdAt": {
    },
  • "updatedAt": {
    }
}

Response samples

Content type
application/json
{
  • "total": 1,
  • "data": [
    ]
}

顧客(個人)を作成または更新

顧客(個人)を作成または更新するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
externalId
string or null

外部ID

id
string or null

顧客(個人)ID

lastname
string or null

姓

firstname
string or null

名前

lastnameKana
string or null

姓カナ

firstnameKana
string or null

名前カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

集客元情報

externalId
string or null

外部ID

id
string or null

集客元ID

object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (AddressForExternalUpsertClient)

現場情報の配列

Array
externalId
string or null

外部ID

id
string or null

現場ID

Responses

Response Schema: application/json
required
object

顧客の詳細情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

required
object

個人情報/客先担当者

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null
id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

Request samples

Content type
application/json
{
  • "externalId": "string",
  • "id": "cl5c0bcz318351015l39r39wao",
  • "lastname": "string",
  • "firstname": "string",
  • "lastnameKana": "string",
  • "firstnameKana": "string",
  • "phone": "03-1234-5678",
  • "email": "example@meetsmore.com",
  • "zipcode": "1040061",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "cutoffDateCode": 99,
  • "paymentDateCode": 199,
  • "customFields": {
    },
  • "leadSource": {
    },
  • "company": {
    },
  • "division": {
    },
  • "addresses": "[{ id: \"address123\" }]"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客(個人)を更新

顧客(個人)を更新するためのAPIです。idまたはexternalIdで指定された顧客が存在しない場合はエラーを返します。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
required
object

顧客参照。:id, :externalIdのいずれか1つを指定。

id
string

プロワンが発行したID

externalId
string

外部ID

lastname
string or null

姓

firstname
string or null

名前

lastnameKana
string or null

姓カナ

firstnameKana
string or null

名前カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

集客元情報

externalId
string or null

外部ID

id
string or null

集客元ID

object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (AddressForExternalUpsertClient)

現場情報の配列

Array
externalId
string or null

外部ID

id
string or null

現場ID

Responses

Response Schema: application/json
required
object

顧客の詳細情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

required
object

個人情報/客先担当者

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null
id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

Request samples

Content type
application/json
{
  • "client": {
    },
  • "lastname": "string",
  • "firstname": "string",
  • "lastnameKana": "string",
  • "firstnameKana": "string",
  • "phone": "03-1234-5678",
  • "email": "example@meetsmore.com",
  • "zipcode": "1040061",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "cutoffDateCode": 99,
  • "paymentDateCode": 199,
  • "customFields": {
    },
  • "leadSource": {
    },
  • "company": {
    },
  • "division": {
    },
  • "addresses": "[{ id: \"address123\" }]"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客(法人)を作成または更新

顧客(法人)を作成または更新するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
externalId
string or null

外部ID

id
string or null

顧客(法人)ID

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

集客元情報

externalId
string or null

外部ID

id
string or null

集客元ID

object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (AddressForExternalUpsertClient)

現場情報の配列

Array
externalId
string or null

外部ID

id
string or null

現場ID

Array of objects (ContactForExternalUpsertClient)

客先担当者情報の配列

Array
externalId
string or null

外部ID

id
string or null

客先担当者ID

lastname
string or null

客先担当者の姓

firstname
string or null

客先担当者の名前

lastnameKana
string or null

客先担当者の姓カナ

firstnameKana
string or null

客先担当者の名前カナ

phone
string or null

客先担当者の電話番号

email
string or null

客先担当者のメールアドレス

divisionName
string or null

部署名

internalNote
string or null

備考

isArchive
boolean or null
Default: false

アーカイブフラグ

object

請求先情報

name
string or null

請求先名

compellation
string or null

敬称

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

Responses

Response Schema: application/json
required
object

顧客の詳細情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

required
object

個人情報/客先担当者

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null
id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

Request samples

Content type
application/json
{
  • "externalId": "string",
  • "id": "cl5c0bcz318351015l39r39wao",
  • "companyName": "株式会社ミツモア",
  • "companyNameKana": "カブシキガイシャミツモア",
  • "phone": "03-1234-5678",
  • "email": "example@meetsmore.com",
  • "zipcode": "1040061",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "cutoffDateCode": 99,
  • "paymentDateCode": 199,
  • "customFields": {
    },
  • "leadSource": {
    },
  • "company": {
    },
  • "division": {
    },
  • "addresses": "[{ id: \"address123\" }]",
  • "contacts": "[{ id: \"contact123\" }]"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客(法人)を更新

顧客(法人)を更新するためのAPIです。idまたはexternalIdで指定された顧客が存在しない場合はエラーを返します。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
required
object

顧客参照。:id, :externalIdのいずれか1つを指定。

id
string

プロワンが発行したID

externalId
string

外部ID

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

集客元情報

externalId
string or null

外部ID

id
string or null

集客元ID

object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (AddressForExternalUpsertClient)

現場情報の配列

Array
externalId
string or null

外部ID

id
string or null

現場ID

Array of objects (ContactForExternalUpdateClient)

客先担当者情報の配列

Array
externalId
string or null

外部ID

id
string or null

客先担当者ID

lastname
string or null

客先担当者の姓

firstname
string or null

客先担当者の名前

lastnameKana
string or null

客先担当者の姓カナ

firstnameKana
string or null

客先担当者の名前カナ

phone
string or null

客先担当者の電話番号

email
string or null

客先担当者のメールアドレス

divisionName
string or null

部署名

internalNote
string or null

備考

isArchive
boolean or null
Default: false

アーカイブフラグ

object

請求先情報

name
string or null

請求先名

compellation
string or null

敬称

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

Responses

Response Schema: application/json
required
object

顧客の詳細情報

id
required
string

顧客ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

顧客名

companyName
string or null

法人名

companyNameKana
string or null

法人名カナ

phone
string or null

電話番号

email
string or null

メールアドレス

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

isCompany
required
boolean

法人フラグ

isArchive
required
boolean

アーカイブフラグ

cutoffDateCode
number or null
Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 99

締め日コード

  • 5日締め: 5
  • 10日締め: 10
  • 15日締め: 15
  • 20日締め: 20
  • 25日締め: 25
  • 月末締め: 99
paymentDateCode
number or null
Enum: 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 199 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 299 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 399 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 499 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 599 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 699 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 799

支払日コード

  • 当月 20日払い: 120
  • 当月 25日払い: 125
  • 当月 月末払い: 199
  • 翌月 5日払い: 205
  • 翌月 10日払い: 210
  • 翌月 15日払い: 215
  • 翌月 20日払い: 220
  • 翌月 25日払い: 225
  • 翌月 月末払い: 299
  • 翌々月 5日払い: 305
  • 翌々月 10日払い: 310
  • 翌々月 15日払い: 315
  • 翌々月 20日払い: 320
  • 翌々月 25日払い: 325
  • 翌々月 月末払い: 399
required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
leadSourceId
string or null

集客元のID

divisionId
string or null

部署ID

required
object

現場情報

id
required
string

現場ID

externalId
string or null

外部ID

required
object

個人情報/客先担当者

id
required
string

客先担当者ID

externalId
string or null

外部ID

lastname
required
string

姓

firstname
string or null

名

lastnameKana
string or null

姓(ひらがな)

firstnameKana
string or null

名(ひらがな)

phone
string or null

電話番号

email
string or null

メールアドレス

divisionName
string or null

部署名

internalNote
string or null

社内メモ

isArchive
required
boolean

アーカイブフラグ

object or null
id
required
string

請求情報ID

name
string or null

請求情報の宛先名

compellation
string or null
Enum: "様" "殿" "御中"

請求情報の敬称

zipcode
string or null

請求情報の郵便番号

state
string or null

請求情報の都道府県

city
string or null

請求情報の市区町村

address1
string or null

請求情報の住所1

address2
string or null

請求情報の住所2

Request samples

Content type
application/json
{
  • "client": {
    },
  • "companyName": "株式会社ミツモア",
  • "companyNameKana": "カブシキガイシャミツモア",
  • "phone": "03-1234-5678",
  • "email": "example@meetsmore.com",
  • "zipcode": "1040061",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "cutoffDateCode": 99,
  • "paymentDateCode": 199,
  • "customFields": {
    },
  • "leadSource": {
    },
  • "company": {
    },
  • "division": {
    },
  • "addresses": "[{ id: \"address123\" }]",
  • "contacts": "[{ id: \"contact123\" }]"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

顧客(個人)をアーカイブ

顧客(個人)をアーカイブするためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

顧客ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

クライアントID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

顧客(個人)のアーカイブを解除

リクエストしたID/外部IDで対象の1件の顧客(個人)のアーカイブを解除するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

顧客ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

クライアントID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

顧客(法人)をアーカイブ

顧客(法人)をアーカイブするためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

顧客ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

クライアントID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

顧客(法人)のアーカイブを解除

リクエストしたID/外部IDで対象の1件の顧客(法人)のアーカイブを解除するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

顧客ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

クライアントID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

収支管理

実績(Actual)の更新

指定した案件の実績(Actual)を更新します。profitLines / lossLines は全置換。documentTemplate は未送信の場合のみ既存値を維持。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
required
object

対象案件参照。:id, :externalIdのいずれか1つ以上を指定。

id
string

プロワンが発行したID

externalId
string

外部ID

object or null

書類テンプレート参照。未指定は既存維持、null でクリア。。:id, :externalIdのいずれか1つ以上を指定。

id
string

プロワンが発行したID

externalId
string

外部ID

required
Array of objects (ExternalUpdateBalanceActualLineDto)

収入明細(必須・全置換)

Array
label
string or null

項目名

unitPrice
string or null^-?\d+(\.\d+)?$

単価

quantity
string or null^-?\d+(\.\d+)?$

数量

note
string or null

備考

lineType
required
string (BalanceLineType)
Enum: "Group" "Item" "Text"

行の種類(Group/Item/Text)

discountPrice
string or null^-?\d+(\.\d+)?$

値引き額

object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
children
Array of objects (ExternalUpdateBalanceActualLineDto)

子要素リスト(階層構造用)

required
Array of objects (ExternalUpdateBalanceActualLineDto)

支出明細(必須・全置換)

Array
label
string or null

項目名

unitPrice
string or null^-?\d+(\.\d+)?$

単価

quantity
string or null^-?\d+(\.\d+)?$

数量

note
string or null

備考

lineType
required
string (BalanceLineType)
Enum: "Group" "Item" "Text"

行の種類(Group/Item/Text)

discountPrice
string or null^-?\d+(\.\d+)?$

値引き額

object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
children
Array of objects (ExternalUpdateBalanceActualLineDto)

子要素リスト(階層構造用)

Responses

Response Schema: application/json
statusCode
required
boolean
Default: 200

ステータスコード

success
required
boolean
Default: true

成功フラグ

Request samples

Content type
application/json
{
  • "job": {
    },
  • "documentTemplate": {
    },
  • "profitLines": [
    ],
  • "lossLines": [
    ]
}

Response samples

Content type
application/json
{
  • "statusCode": 200,
  • "success": true
}

建物

建物を作成または更新

建物を作成または更新するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
externalId
string or null

外部ID

id
string or null

建物ID

name
string or null

建物名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

電話番号

object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

部署情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

Array of objects (BuildingOwnerForExternalUpsertBuilding)

関連する所有者情報の配列

Array
externalId
string or null

外部ID

id
string or null

関連する顧客のID

Array of objects (OwnerTagForExternalUpsertBuilding)

建物オーナータグ情報の配列

Array
externalId
string or null

外部ID

id
string or null

建物のオーナータグID

Array of objects (AddressForExternalUpsertBuilding)

関連する現場情報の配列

Array
externalId
string or null

外部ID

id
string or null

現場ID

Responses

Response Schema: application/json
required
object

建物の詳細情報

id
required
string

建物ID

externalId
string or null

外部ID

tenantId
required
string

テナントID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

建物名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object or null

部署情報

id
required
string

部署ID

externalId
string or null

外部ID

Array of objects or null (BuildingOwnerForExternalBuilding)

関連する所有者情報の配列

Array
id
required
string

関連する顧客のID

externalId
string or null

外部ID

Array of objects or null (OwnerTagForExternalBuilding)

建物オーナータグ情報の配列

Array
id
required
string

建物のオーナータグID

Array of objects or null (AddressForExternalBuilding)

関連する現場情報の配列

Array
id
required
string

現場ID

externalId
string or null

外部ID

Request samples

Content type
application/json
{
  • "externalId": "string",
  • "id": "clhhayfgu0003015kcsx0hvid",
  • "name": "青山ビルディング",
  • "zipcode": "123-4567",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "phone": "03-1234-5678",
  • "customFields": {
    },
  • "company": {
    },
  • "division": {
    },
  • "owners": [
    ],
  • "addresses": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

建物をアーカイブ

建物をアーカイブするためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

建物ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

建物ID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブフラグ

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "building-123",
  • "isArchive": true
}

建物のアーカイブを解除

リクエストしたID/外部IDで対象の1件の建物のアーカイブを解除するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

建物ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

建物ID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブフラグ

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "building-123",
  • "isArchive": true
}

現場

現場の詳細を取得

現場の詳細データを取得するためのAPIです。

Authorizations:
api_key
path Parameters
id
required
string
Example: cl3l7lqsj3303015nraag2rho

現場ID

header Parameters
x-api-key
required
string
x-api-version
string

Responses

Response Schema: application/json
required
object

現場の詳細情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

Array of objects (JobForExternalAddress)

仕事の配列

Array
id
required
string

仕事ID

Array of objects (ClientForExternalAddress)

顧客の配列

Array
id
required
string

顧客ID

Array of objects (EquipmentForExternalAddress)

機器の配列

Array
id
required
string

機器ID

Response samples

Content type
application/json
{
  • "data": {
    }
}

現場の詳細を取得(外部ID)

外部ID(externalId)で現場の詳細データを取得するためのAPIです。

Authorizations:
api_key
path Parameters
externalId
required
string
Example: ext_address_12345

現場の外部ID

header Parameters
x-api-key
required
string
x-api-version
string

Responses

Response Schema: application/json
required
object

現場の詳細情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

Array of objects (JobForExternalAddress)

仕事の配列

Array
id
required
string

仕事ID

Array of objects (ClientForExternalAddress)

顧客の配列

Array
id
required
string

顧客ID

Array of objects (EquipmentForExternalAddress)

機器の配列

Array
id
required
string

機器ID

Response samples

Content type
application/json
{
  • "data": {
    }
}

現場一覧を取得

現場一覧を取得するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
perPage
number or null
Default: 10

1ページあたりの件数(最大50)

page
number or null
Default: 1

ページ番号

ids
Array of strings or null

現場IDの配列(完全一致)

externalIds
Array of strings or null

外部IDの配列(完全一致)

managementNumbers
Array of strings or null

管理番号の配列(完全一致)

name
string or null

現場名(完全一致)

nameKana
string or null

現場名カナ(完全一致)

isArchive
boolean or null

アーカイブフラグによるフィルタ

Array of objects (IdOrExternalIdReferenceDto)

仕事の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

Array of objects (IdOrExternalIdReferenceDto)

顧客の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

Array of objects (IdOrExternalIdReferenceDto)

部署の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

Array of objects (IdOrExternalIdReferenceDto)

建物の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

Array of objects (IdOrExternalIdReferenceDto)

法人の配列(idまたはexternalIdで指定)

Array
id
string

プロワンが発行したID

externalId
string

外部ID

object

作成日の範囲フィルタ

start
string or null <date-time>

作成日の範囲開始日時

end
string or null <date-time>

作成日の範囲終了日時

object

更新日の範囲フィルタ

start
string or null <date-time>

更新日の範囲開始日時

end
string or null <date-time>

更新日の範囲終了日時

Responses

Response Schema: application/json
total
required
number

トータル件数

required
Array of objects (ExternalAddressForFindAll)

現場情報の配列

Array
id
required
string

現場ID

externalId
string or null

外部ID

managementNumber
string or null

管理番号

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

companyId
string or null

法人ID

required
Array of objects (AddressTagSummaryForFindAll)

現場タグの配列(id のみ)

Array
id
required
string

現場タグID

required
Array of objects (JobSummaryForFindAll)

仕事の配列(id / externalId のみ)

Array
id
required
string

ID

externalId
string or null

外部ID

required
Array of objects (ClientSummaryForFindAll)

顧客の配列(id / externalId のみ)

Array
id
required
string

ID

externalId
string or null

外部ID

required
Array of objects (EquipmentSummaryForFindAll)

機器の配列(id / externalId のみ)

Array
id
required
string

ID

externalId
string or null

外部ID

Request samples

Content type
application/json
{
  • "perPage": 50,
  • "page": 1,
  • "ids": [
    ],
  • "externalIds": [
    ],
  • "managementNumbers": [
    ],
  • "name": "山田様邸",
  • "nameKana": "ヤマダサマテイ",
  • "isArchive": false,
  • "job": [
    ],
  • "client": [
    ],
  • "division": [
    ],
  • "building": [
    ],
  • "company": [
    ],
  • "createdAt": {
    },
  • "updatedAt": {
    }
}

Response samples

Content type
application/json
{
  • "total": 1,
  • "data": [
    ]
}

現場を作成または更新

現場を作成または更新するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

現場ID

externalId
string or null

外部ID

name
string or null

現場名

nameKana
string or null

現場名のカナ

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

電話番号

object or null

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
object

会社情報

externalId
string or null

外部ID

id
string or null

会社ID

object

部署情報

externalId
string or null

外部ID

id
string or null

部署ID

object

建物情報

externalId
string or null

外部ID

id
string or null

建物ID

Array of objects (AddressTagForExternalUpsertAddress)

現場タグ情報の配列

Array
id
string or null

現場タグID

Array of objects (ClientForExternalUpsertAddress)

顧客情報の配列

Array
externalId
string or null

外部ID

id
string or null

顧客ID

Array of objects (JobForExternalUpsertAddress)

仕事情報の配列

Array
externalId
string or null

外部ID

id
string or null

仕事ID

Array of objects (EquipmentForExternalUpsertAddress)

機器情報の配列

Array
externalId
string or null

外部ID

id
string or null

機器ID

Responses

Response Schema: application/json
required
object

現場の詳細情報

id
required
string

現場ID

externalId
string or null

外部ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

name
required
string

現場名

nameKana
string or null

現場のカナ名

zipcode
string or null

郵便番号

state
string or null

都道府県

city
string or null

市区町村

address1
string or null

住所1

address2
string or null

住所2

phone
string or null

現場の電話番号

required
object

カスタム項目

additional property
string or number or boolean or Array of strings or string or null
One of
string
isArchive
required
boolean

アーカイブ済みかどうか

divisionId
string or null

部署ID

buildingId
string or null

建物ID

required
Array of objects (AddressTagForExternalAddress)

現場タグ情報の配列

Array
id
required
string

現場タグID

name
required
string

現場タグ名

color
required
string

現場タグの色 カラーコードを指定する

Array of objects (JobForExternalAddress)

仕事の配列

Array
id
required
string

仕事ID

Array of objects (ClientForExternalAddress)

顧客の配列

Array
id
required
string

顧客ID

Array of objects (EquipmentForExternalAddress)

機器の配列

Array
id
required
string

機器ID

Request samples

Content type
application/json
{
  • "id": "cl2451eh700002gx9ju799nat",
  • "externalId": "string",
  • "name": "作業エリア",
  • "nameKana": "サギョウエリア",
  • "zipcode": "104-0061",
  • "state": "東京都",
  • "city": "新宿区",
  • "address1": "西新宿2-8-1",
  • "address2": "ビル名や部屋番号",
  • "phone": "03-1234-5678",
  • "customFields": {
    },
  • "company": "clhhayfgu0003015kcsx0hvdd",
  • "division": "clhhayfgu0003015kcsx0hvid",
  • "building": "clhhayfgu0003015kcsx0hvid",
  • "addressTags": [
    ],
  • "clients": [
    ],
  • "jobs": [
    ],
  • "equipments": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

現場をアーカイブ

現場をアーカイブするためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

現場ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

現場ID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

現場のアーカイブを解除

リクエストしたID/外部IDで対象の1件の現場のアーカイブを解除するためのAPIです。

Authorizations:
api_key
header Parameters
x-api-key
required
string
x-api-version
string
Request Body schema: application/json
required
id
string or null

現場ID

externalId
string or null

外部ID

Responses

Response Schema: application/json
id
required
string

現場ID

externalId
string or null

外部ID

isArchive
required
boolean

アーカイブ状態

Request samples

Content type
application/json
{
  • "id": "cl5c0bcz318351015l39r39wao",
  • "externalId": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "externalId": "string",
  • "isArchive": true
}

見積書

見積書の詳細を取得

見積書の詳細データを取得するためのAPIです。

Authorizations:
api_key
path Parameters
id
required
string
Example: clptk0yf302315o01wq9zbo6g

見積書ID

header Parameters
x-api-key
required
string
x-api-version
string

Responses

Response Schema: application/json
required
object

見積書詳細情報

id
required
string

見積書ID

createdAt
required
string <date-time>

作成日

updatedAt
required
string <date-time>

更新日

title
required
string

見積書タイトル

slug
required
string

見積書番号

effectiveDuration
required
[...]
